Package org.h2gis.functions.system

## Class JTSVersion

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.system.JTSVersion

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class JTSVersion
    extends org.h2gis.api.DeterministicScalarFunction

Return the current version of JTS

Author:
  Erwan Bocher, CNRS, 2020

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`JTSVersion()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static String` `getjtsVersion()` Return the JTS version

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### JTSVersion

    public JTSVersion()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getjtsVersion

    public static String getjtsVersion()

Return the JTS version

Returns:
  JTS version